Bio::MAGETAB::CompositeElement(3)

NAME
Bio::MAGETAB::CompositeElement - MAGE-TAB composite element class

SYNOPSIS
 use Bio::MAGETAB::CompositeElement;

DESCRIPTION
This class is used to store information on composite elements in MAGE-TAB. These elements typically correspond to biologically relevant sequences or features (e.g., genes, exons, etc.). See the DesignElement class for superclass methods.

ATTRIBUTES

name (required)
    The name of the composite element (data type: String).

databaseEntries (optional)
    A list of database entries for the composite element (data type: Bio::MAGETAB::DatabaseEntry).

comments (optional)
    A list of user-defined comments for the element (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::DesignElement

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).